package com.jesusrojo.miphoto.view.ui.dialogFragment;

import android.app.AlertDialog;
import android.app.Dialog;
import android.content.DialogInterface;
import android.os.Bundle;
import android.support.v4.app.DialogFragment;

import java.util.ArrayList;
import java.util.List;

public class TerminosDialog extends DialogFragment {

    private static final String TAG = TerminosDialog.class.getSimpleName();

    public TerminosDialog() {
    }

    public static TerminosDialog newInstance(int title,
                                                          int message,
                                                          String [] selectArg ) {
        TerminosDialog frag = new TerminosDialog();
        Bundle args = new Bundle();
        args.putInt("title", title);
        args.putInt("message", message);
        args.putStringArray("selectArg", selectArg);
        frag.setArguments(args);
        return frag;
    }

    @Override
    public Dialog onCreateDialog(Bundle savedInstanceState) {
        //int title = getArguments().getInt("title");
        final List mSelectedItems = new ArrayList();

        AlertDialog.Builder builder = new AlertDialog.Builder(getActivity());
        return builder
                .setTitle(getArguments().getInt("title"))
                .setMessage(getArguments().getInt("message"))

                .setNeutralButton(android.R.string.cancel, new DialogInterface.OnClickListener() {
                    @Override
                    public void onClick(DialogInterface arg0, int arg1) {
                        //CERRAR
                        TerminosDialog.this.getDialog().cancel();
                    }
                })
               .create();
    }
}