package com.jesusrojo.miphoto.view.ui.preferences;

import android.app.Activity;
import android.app.FragmentManager;
import android.app.FragmentTransaction;
import android.content.Context;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.preference.Preference;
import android.preference.PreferenceFragment;
import android.preference.PreferenceManager;
import android.text.TextUtils;
import android.widget.Toast;

import com.jesusrojo.miphoto.R;
import com.jesusrojo.miphoto.utils.Utils;


public class PreferenciasPreferenceFragment extends Activity {

    private final String TAG = getClass().getSimpleName();
    private Activity activity;
    private Context context;
    private SharedPreferences mSharedPref;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        Utils.showLog(TAG, "onCreate");
        context = getApplicationContext();

        // Display the fragment as the main content.
        FragmentManager mFragmentManager = getFragmentManager();
        FragmentTransaction mFragmentTransaction = mFragmentManager
                .beginTransaction();

        PrefsFragment mPrefsFragment = new PrefsFragment();
        mFragmentTransaction.replace(android.R.id.content, mPrefsFragment);
        mFragmentTransaction.commit();
    }

    public class PrefsFragment extends PreferenceFragment {

        private final String TAG = getClass().getSimpleName();

        @Override
        public void onCreate(Bundle savedInstanceState) {
            super.onCreate(savedInstanceState);
            Utils.showLog(TAG, "onCreate");

            // Load the preferences from an XML resource
            addPreferencesFromResource(R.xml.preferencias_layout);
            //PREFERENCES
            //mSharedPref = getPreferences(Context.MODE_PRIVATE);
            // mSharedPref =PreferenceManager.getDefaultSharedPreferences(getApplicationContext());
            // mSharedPref = getSharedPreferences(Constants.PREFERENCES_DEFAULT,Context.MODE_PRIVATE);

            /*ON CLICK
            Preference pref_login_status = (Preference) findPreference("login_status");
            pref_login_status.setOnPreferenceClickListener(
                new Preference.OnPreferenceClickListener() {
                    public boolean onPreferenceClick(Preference preference) {
                            Utils.showLog(TAG,
                                    "Almacen: " + mSharedPref.getString("almacen_nombres", ""));
                            return true;
                    }
                });*/
       }//onCreate
    }//PrefsFragment
}
