package com.jesusrojo.miphoto.model.almacen;


import android.content.Context;
import android.net.Uri;

import com.jesusrojo.miphoto.model.pojo.Photo;

import java.util.List;

public interface IAlmacen {

    String register(String name, String password, String mail);
    String checkLogin(String user, String password);

    String savePhoto(Context c, Photo photo);
    Photo getPhoto(Context c, String path);
    List<Photo> getListPhotos(Context c);
    String deletePhotosByPath(String[] selectArg);
    String updatePhoto(Context mContext, Photo photo);
    String updatePathFilter(String[] selectPaths);
    String uploadBinary(Context c, Uri uri);
    String deleteBinary(Context context, Uri selectPaths);
    String updateStatus(String[] selectPaths);

    String[] sendNewPassword(String mail);
}
