package com.jesusrojo.miphoto.utils;

import android.content.Context;
import android.media.MediaPlayer;

public abstract class MyMediaPlayer {

    private static final String TAG = MyMediaPlayer.class.getSimpleName();

    public static MediaPlayer mediaPlayer;
    public static boolean pause;

    public static void crearMediaPlayer(Context context, int audio){

        mediaPlayer = MediaPlayer.create(context, audio);
        Utils.showLog(TAG, "mediaPlayer creado");
        pause = true;
        /*desde un fichero
        mediaPlayer.setDataSource(RUTA_AL_FICHERO);
        mediaPlayer.prepare();*/
    }
    public static void startMediaPlayer() {
        if( mediaPlayer != null ) {
            if (pause) {
                mediaPlayer.start();
                pause = false;
                Utils.showLog(TAG, "mediaPlayer.start()");
            }
        }
    }
    public static void stopMediaPlayer() {
        Utils.showLog(TAG, "stopMediaPlayer()");

        if (mediaPlayer != null){
            if (!pause) {
                if (mediaPlayer.isPlaying()) {
                    mediaPlayer.stop();
                    pause = true;
                    Utils.showLog(TAG, "mediaPlayer.stop)");
                }
            }
        }
    }
    public static void releaseMediaPlayer() {
        Utils.showLog(TAG, "releaseMediaPlayer()");

        if (mediaPlayer != null) {
            if (pause) {
                mediaPlayer.release();
                mediaPlayer = null;
                Utils.showLog(TAG, "mediaPlayer.release and null()");
            }
        }
    }

    public static int getPosicion() {
        Utils.showLog(TAG, " getPosicion()");

        int pos = 0;
        if (mediaPlayer != null) {
               pos = mediaPlayer.getCurrentPosition();
                Utils.showLog(TAG, "mediaPlayer.getCurrentPosition()");
            return pos;
        }
        return pos;
    }

    public static void putInPosicion(int pos) {
        if(pos != 0) {
            if (mediaPlayer != null) {
                mediaPlayer.seekTo(pos);
                Utils.showLog(TAG, "mediaPlayer.seekTo(pos)");
            }
        }
    }
}
